package com.sunxung.factoring.entity.purchcontractmanagement;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;
import com.sunxung.factoring.entity.sys.Dictionary;
import com.sunxung.factoring.entity.sys.FileStorage;

import java.util.Date;
import java.util.List;

/**
 * @Description : 采购合同电子合同信息
 * @Author : JiaYf
 * @Date: 2021-09-22 17:56
 */
@TableName("c_purch_contract_electronic_info")
public class PurchContractElectronicInfo extends BaseEntity {

    public static final Integer SIGN_STATUS_NOT_FINISH = 0;
    public static final Integer SIGN_STATUS_FINISH = 1;

    /** 认证链接 **/
    private String certifyLink;

    /** 认证状态 **/
    private Boolean certifyStatus;

    /** 认证状态 **/
    @TableField(exist = false)
    private Dictionary certifyStatusDict;

    /** 合同链接 **/
    private String contractLink;

    /**
     * 二网认证短链接
     */
    @TableField("short_contract_link")
    private String shortContractLink;

    /**
     * 短连接的生成日期
     */
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    @TableField("short_contract_link_create")
    private Date shortContractLinkCreate;

    /** 签署状态 **/
        private Boolean signStatus;

    /** 签署状态 **/
    @TableField(exist = false)
    private Dictionary signStatusDict;

    /** 采购合同基本信息表Id **/
    @TableField("c_purch_contract_basic_info_id")
    private Long cPurchContractBasicInfoId;

    /**
     * 二网在法大大上的客户编号
     */
    @TableField("fdd_customer_id")
    private String fddCustomerId;

    /**
     * 客户合同交易id
     */
    @TableField("transaction_id")
    private String transactionId;

    /**
     * 合同名称
     */
    @TableField("contract_name")
    private String contractName;

    /**
     * 合同编号
     */
    @TableField("contract_id")
    private String contractId;

    /**
     * 是否回调 0 未回调 1 回调
     */
    @TableField("call_back")
    private Integer callBack;

    /**
     * 历史数据 1 历史 0 非历史
     */
    @TableField(exist = false)
    private Integer history;

    public Integer getCallBack() {
        return callBack;
    }

    public void setCallBack(Integer callBack) {
        this.callBack = callBack;
    }

    public Integer getHistory() {
        return history;
    }

    public void setHistory(Integer history) {
        this.history = history;
    }

    public String getContractId() {
        return contractId;
    }

    public void setContractId(String contractId) {
        this.contractId = contractId;
    }

    public String getContractName() {
        return contractName;
    }

    public void setContractName(String contractName) {
        this.contractName = contractName;
    }

    public String getCertifyLink() {
        return certifyLink;
    }

    public String getFddCustomerId() {
        return fddCustomerId;
    }

    public void setFddCustomerId(String fddCustomerId) {
        this.fddCustomerId = fddCustomerId;
    }

    public void setCertifyLink(String certifyLink) {
        this.certifyLink = certifyLink;
    }

    public Boolean getCertifyStatus() {
        return certifyStatus;
    }

    public void setCertifyStatus(Boolean certifyStatus) {
        this.certifyStatus = certifyStatus;
    }

    public Dictionary getCertifyStatusDict() {
        return certifyStatusDict;
    }

    public void setCertifyStatusDict(Dictionary certifyStatusDict) {
        this.certifyStatusDict = certifyStatusDict;
    }

    public String getContractLink() {
        return contractLink;
    }

    public void setContractLink(String contractLink) {
        this.contractLink = contractLink;
    }

    public Boolean getSignStatus() {
        return signStatus;
    }

    public void setSignStatus(Boolean signStatus) {
        this.signStatus = signStatus;
    }

    public Dictionary getSignStatusDict() {
        return signStatusDict;
    }

    public void setSignStatusDict(Dictionary signStatusDict) {
        this.signStatusDict = signStatusDict;
    }

    public Long getcPurchContractBasicInfoId() {
        return cPurchContractBasicInfoId;
    }

    public void setcPurchContractBasicInfoId(Long cPurchContractBasicInfoId) {
        this.cPurchContractBasicInfoId = cPurchContractBasicInfoId;
    }

    public PurchContractElectronicInfo() {
    }

    public String getShortContractLink() {
        return shortContractLink;
    }

    public void setShortContractLink(String shortContractLink) {
        this.shortContractLink = shortContractLink;
    }

    public Date getShortContractLinkCreate() {
        return shortContractLinkCreate;
    }

    public void setShortContractLinkCreate(Date shortContractLinkCreate) {
        this.shortContractLinkCreate = shortContractLinkCreate;
    }

    public String getTransactionId() {
        return transactionId;
    }

    public void setTransactionId(String transactionId) {
        this.transactionId = transactionId;
    }
}
